/**
 * The synchronizer-local module of the TinyBase project lets you synchronize
 * MergeableStore data to and from other MergeableStore instances on the same
 * local machine.
 * @see Synchronizing Data guide
 * @packageDocumentation
 * @module synchronizer-local
 * @since v5.0.0
 */

import {MergeableStore} from '../mergeable-store';
import {OptionalSchemas} from '../store';
import {Synchronizer} from '../synchronizers';

/**
 * The LocalSynchronizer interface
 * @category Synchronizer
 */
export interface LocalSynchronizer<Schemas extends OptionalSchemas>
  extends Synchronizer<Schemas> {}

/**
 * The createLocalSynchronizer function
 * @category Creation
 */
export function createLocalSynchronizer<Schemas extends OptionalSchemas>(
  store: MergeableStore<Schemas>,
  onIgnoredError?: (error: any) => void,
): LocalSynchronizer<Schemas>;
